petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscContainerSetUserDestroy

Sets name of the user destroy function.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscContainerSetUserDestroy(PetscContainer obj, PetscErrorCode (*des)(void*))

Logically Collective on PetscContainer Many br

### Input Parameter

| obj | - an object that was created with PetscContainerCreate() Many br
| des | - name of the user destroy function Many br

Many br

### See Also

PetscContainerDestroy()

Level:advanced
Location:src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages